package com.io.yutian.elementoriginlib.command.list;

import com.io.yutian.elementoriginlib.command.CommandContext;
import com.io.yutian.elementoriginlib.command.interfaces.Command;
import com.io.yutian.elementoriginlib.command.interfaces.SubCommand;
import com.io.yutian.elementoriginlib.command.interfaces.CommandArgument;

@Command("test")
public class CommandTest {

    @SubCommand("list")
    public void list(CommandContext context, @CommandArgument int page) {
        System.out.println(context.getSender());
        System.out.println("list:"+page);
    }

    @SubCommand("item.load")
    public void item_load(@CommandArgument(suggestionType = "world_list") String id, int page, double k, CommandContext context) {
        System.out.println(context.getSender());
        System.out.println("load:"+id);
        System.out.println(page);
        System.out.println(k);
    }

    @SubCommand("item.save")
    public void item_save(@CommandArgument String id) {
        System.out.println("save:"+id);
    }

    @SubCommand("item.test")
    public void item_test(@CommandArgument String id) {
        System.out.println(id);
    }
}
